<!DOCTYPE html>
<html style="height: 100%;">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>Hacking python decorator</title>
  <meta name="viewport" content="width=device-width, minimum-scale=1, maximum-scale=1, user-scalable=no">
  <meta name="apple-mobile-web-app-capable" content="yes">
  <link rel="stylesheet" href="css/nature.css" type="text/css">
  <link rel="stylesheet" href="css/pygments.css" type="text/css">
  <link rel="stylesheet" href="css/impress.css" type="text/css">
  <link rel="stylesheet" href="css/custom.css" type="text/css">
</head>

<body class="impress-supported impress-enabled impress-on-spiral-positionning-demo" cz-shortcut-listen="true">
  <div id="impress"
    style="position: absolute; transform-origin: left top; transition: all 500ms ease-in-out 250ms; transform-style: preserve-3d; top: 50%; left: 50%; perspective: 24150.9px; transform: scale(0.0414063);">


    <div class="step center section present active" data-rotate-y="33" data-rotate-z="33" data-scale="5" data-x="-400"
      data-y="-400" data-z="10000">
      <h1>Hacking python decorator</h1>
      <p>Liang Guisheng</p>
      <p>theol.liang@gmail.com</p>
    </div>
    <div class="step slide section past" data-x="810.4534588022096" data-y="1262.2064772118447" data-z="0.0"
      data-rotate-x="47.12388980384689" data-rotate-y="94.24777960769379" data-rotate-z="33">
      <h2 class="center">Decorator in real life?</h2>

    </div>
    <div class="step slide section past" data-x="-624.2202548207136" data-y="1363.9461402385225"
      data-z="1039.720770839918" data-rotate-x="94.24777960769379" data-rotate-y="188.49555921538757"
      data-rotate-z="33">
      Slide 2
    </div>
    <div class="step slide section past" data-x="-1484.988744900668" data-y="211.6800120898008"
      data-z="1647.9184330021646" data-rotate-x="141.37166941154067" data-rotate-y="282.7433388230814"
      data-rotate-z="33">
      Slide 3
    </div>
    <div class="step slide section past" data-x="-980.4654312954179" data-y="-1135.2037429618922"
      data-z="2079.441541679836" data-rotate-x="188.49555921538757" data-rotate-y="376.9911184307752"
      data-rotate-z="33">
      Slide 4
    </div>
    <div class="step slide section past" data-x="425.4932781948394" data-y="-1438.3864119947077"
      data-z="2414.1568686511505" data-rotate-x="235.61944901923448" data-rotate-y="471.238898038469"
      data-rotate-z="33">
      Slide 5
    </div>
    <div class="step slide section past" data-x="1440.2554299755489" data-y="-419.1232472983888"
      data-z="2687.639203842082" data-rotate-x="282.7433388230814" data-rotate-y="565.4866776461628" data-rotate-z="33">
      Slide 6
    </div>
    <div class="step slide section past" data-x="1130.853381514957" data-y="985.4798980781836" data-z="2918.86522358297"
      data-rotate-x="329.8672286269283" data-rotate-y="659.7344572538565" data-rotate-z="33">
      Slide 7
    </div>
    <div class="step slide section past" data-x="-218.2500507129203" data-y="1484.0373699350728"
      data-z="3119.1623125197534" data-rotate-x="376.9911184307752" data-rotate-y="753.9822368615502"
      data-rotate-z="33">
      Slide 8
    </div>
    <div class="step slide section past" data-x="-1366.6953928270154" data-y="618.1777278626349"
      data-z="3295.8368660043293" data-rotate-x="424.1150082346221" data-rotate-y="848.2300164692439"
      data-rotate-z="33">
      Slide 9
    </div>
    <div class="step slide section past" data-x="-1258.6072936146786" data-y="-816.0316663340546"
      data-z="3453.8776394910687" data-rotate-x="471.238898038469" data-rotate-y="942.4777960769376" data-rotate-z="33">
      Slide 10
    </div>


  </div>
  <script src="js/impress.js"></script>
  <!-- <script src="js/jquery.js"></script> -->
  <script src="js/cimpress.js"></script>
  <script src="js/custom.js"></script>
  <script> impress().init(); </script>
</body>

</html>